<?php
/*
	Plugin Name: /forms.contact
	Plugin URI: https://wordpress.org/plugins/formscontact/
	Description: includes your personal /forms.contact form
	Author: METHIS Dialogmarketing GmbH
	Version: 1.0.8
	Author URI: https://methis.at
	Text Domain: forms_contact
	Domain Path: /languages
*/

/*
	Copyright 2014  METHIS Dialogmarketing GmbH  (email : support@methis.at)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License, version 3, as
	published by the Free Software Foundation.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/**
 * Created by METHIS Dialogmarketing GmbH.
 * User: she
 * Date: 02.05.14
 * Time: 16:21
 */

/* include all defines */
require_once(dirname(__FILE__) . "/constants.php");
/* require plugin global functions */
require_once(dirname(__FILE__) . "/functions.php");

/* calls the wordpress filter function to replace content before displayed on public pages */
add_filter('the_content', 'forms_contact_replace_public_placeholders');
add_filter('the_excerpt', 'forms_contact_replace_public_placeholders');


/* only admin is allowed to execute the plugin settings */
if (!function_exists('is_admin')) {
	header('Status: 403 Forbidden');
	header('HTTP/1.1 403 Forbidden');
	exit();
}

/* require plugin class */
require_once(dirname(__FILE__) . "/plugin.class.php");
/* require plugin settings class */
require_once(dirname(__FILE__) . "/settings.class.php");

/* action to locate language and load the wordpress-specific language file */
add_action('plugins_loaded', 'forms_contact_load_language');

/* add link to the settings page in plugin main page */
$l_str_plugin_file = FORMS_CONTACT_PLUGIN_DIR_NAME . '/index.php';
add_filter("plugin_action_links_{$l_str_plugin_file}", 'forms_contact_plugin_settings_link', 10, 2);

/* initialize an object of the plugin class */
global $g_obj_FormsContactPlugin;

/* if object isn't initialized yet, initialize it now */
if (empty($g_obj_FormsContactPlugin)) {
	$g_obj_FormsContactPlugin = new forms_contact_class_plugin();
}